cached_agent.h File Reference
`#include <core/trust/agent.h>`
Include dependency graph for cached_agent.h:

Go to the source code of this file.

## Classes

class | core::trust::CachedAgent
| An agent implementation that uses a trust store instance to cache results. More...
struct | core::trust::CachedAgent::Reporter
| Abstract capturer of internal events for post-mortem debugging/analysis purposes. More...
struct | core::trust::CachedAgent::Configuration
| Creation time parameters. More...

## Namespaces

| core
| core::trust
| Contains functionality for implementing Ubuntu's trust model.